// SNES Chess Game by krom (Peter Lemon):
arch snes.cpu
output "Chess.sfc", create

macro seek(variable offset) {
  origin ((offset & $7F0000) >> 1) | (offset & $7FFF)
  base offset
}

seek($8000); fill $18000 // Fill Upto $FFFF (Bank 2) With Zero Bytes
include "LIB/SNES.INC"        // Include SNES Definitions
include "LIB/SNES_HEADER.ASM" // Include Header & Vector Table
include "LIB/SNES_GFX.INC"    // Include Graphics Macros
include "LIB/SNES_INPUT.INC"  // Include Input Macros

// Variable Data
seek(WRAM) // 8Kb WRAM Mirror ($0000..$1FFF)
Mode7PosX:
  dw 0 // Mode7 Center Position X Word
Mode7PosY:
  dw 0 // Mode7 Center Position Y Word
BG1ScrPosX:
  dw 0 // Mode7 BG1 Scroll Position X Word
BG1ScrPosY:
  dw 0 // Mode7 BG1 Scroll Position Y Word

seek($8000); Start:
  SNES_INIT(SLOWROM) // Run SNES Initialisation Routine

  lda.b #$01
  sta.w REG_NMITIMEN // Enable Joypad NMI Reading Interrupt

  //------------------
  // View Perspective
  //------------------
  include "ViewPerspective.asm" // Include View Perspective Routine

Loop:
  jmp Loop

// Character Data
// BANK 1
seek($18000)
insert BoardPal,   "GFX/Board.pal" // Include BG Palette Data (256 Bytes)
insert BoardMap,   "GFX/Board.map" // Include BG Map Data (16384 Bytes)
insert BoardTiles, "GFX/Board.pic" // Include BG Tile Data (15936 Bytes)

// BANK 2
seek($28000)
insert WhitePawnPal,   "GFX/WhitePawn4BPP.pal" // Include BG Palette Data (32 Bytes)
insert WhitePawnTiles, "GFX/WhitePawn4BPP.pic" // Include BG Tile Data (4096 Bytes)